% GUIdefaults
% Program for the MODIS GUI
% Copyright by Jasmine S Nahorniak, Oregon State University.
% feb 29 2000

% ***********************************************************************
% set defaults (user can change)

% default input data path (must end with /)
% (eg. guifilepath='/usr/john/data/' or 'c:/data/')
guifilepath=[];

% default output data path (must end with /)
% (eg. guioutpath='/usr/john/data/' or 'c:/data/')
guioutpath=[];

% coastline data file (lon and lat columns)
guicoastdata='worldcoast.dat';

% default step size
guistepsize='5';

% default animation step (in degrees)
guianimstep=0.5;

% default "save animation frames?" mode
guisaveframes='y';

% *********************************************************************
% set choices (first in list is default)

guiprojection={'eqdcylin'; 'mercator'; 'robinson'; 'eckert3'; 'eqacylin';  'craster'; 'globe'; 'animated globe'};

guicolormap={'jet'; 'hsv'; 'gray'; 'hot'; 'cool'; 'bone'; 'copper'; 'pink'; 'spring'; 'summer'; 'autumn'; 'winter'; 'none'};

guilandcolors={'black'; 'white'; 'gray'; 'red'; 'green'; ...
               'blue'; 'yellow'; 'orange'; 'magenta'; 'cyan'; ...
               'darkred'; 'copper'; 'aquamarine'; 'lightgray'; 'darkgray'};

guimaskcolors={'gray'; 'black'; 'white'; 'red'; 'green'; ...
               'blue'; 'yellow'; 'orange'; 'magenta'; 'cyan'; ...
               'darkred'; 'copper'; 'aquamarine'; 'lightgray'; 'darkgray'};

guibackgroundcolors={'white'; 'black'; 'gray'; 'red'; 'green'; ...
               'blue'; 'yellow'; 'orange'; 'magenta'; 'cyan'; ...
               'darkred'; 'copper'; 'aquamarine'; 'lightgray'; 'darkgray'};

guiaxiscolors={'none'; 'black'; 'white'; 'gray'; 'red'; 'green'; ...
               'blue'; 'yellow'; 'orange'; 'magenta'; 'cyan'; ...
               'darkred'; 'copper'; 'aquamarine'; 'lightgray'; 'darkgray'};

guicolorbar={'vert'; 'horiz'; 'off'};

guicoastline={'white'; 'black'; 'gray'; 'red'; 'green'; ...
               'blue'; 'yellow'; 'orange'; 'magenta'; 'cyan'; ...
               'darkred'; 'copper'; 'aquamarine'; 'lightgray'; 'darkgray'; ...
               'none'};

guigrid={'off'; 'on'};

guiaxistype={'linear'; 'log'};

guilinetype={'.'; 'o'; '*'; '-'; ':'; '--'};

guilinecolor={'red'; 'green'; 'blue'; 'yellow'; 'orange'; 'magenta'; ...
                'cyan'; 'darkred'; 'copper'; 'aquamarine'; ...
               'black'; 'white'; 'gray'; 'lightgray'; 'darkgray'};

guioutfig={'jpeg'; 'ps'; 'psc'; 'eps'; 'epsc'; 'tiff'; 'tiffnocompression'};   

% **************************************************************************
% set colors to be used above
% NOTE: more colors can be added to these lists

guicolornamelist={'white'; 'black'; 'gray'; 'red'; 'green'; ...
               'blue'; 'yellow'; 'orange'; 'magenta'; 'cyan'; ...
               'darkred'; 'copper'; 'aquamarine'; 'lightgray'; 'darkgray'; ...
               'none'};
guicolornumberlist=[1 1 1; 0 0 0; 0.5 0.5 0.5; 1 0 0; 0 1 0; ...
                 0 0 1; 1 1 0; 1 0.5 0; 1 0 1; 0 1 1; ...
                 0.5 0 0; 1 0.62 0.40; 0.49 1 0.83; 0.8 0.8 0.8; 0.3 0.3 0.3;
                 0 0 0];
